# Indomee

**Indomee** is a Python package designed to simplify the evaluation of retrieval-augmented generation (RAG) models and other retrieval-based systems. With `indomee`, you can compute common evaluation metrics like **recall** and **mean reciprocal rank (MRR)** at various levels of _k_, all through a straightforward API. Additionally, `indomee` provides tools for **statistical analysis**, including **t-testing**, **bootstrapping**, and **confidence interval (CI) calculations**.

---

## Features

- **Compute Evaluation Metrics**: Easily calculate metrics such as recall and mean reciprocal rank.
- **Flexible k-Level Analysis**: Apply metrics at different levels of _k_ simultaneously.
- **Statistical Analysis Tools**: Perform t-tests, bootstrapping, and CI calculations effortlessly.
- **Configurable with Simple Files**: Use a single configuration file to control and customize your evaluations.
- **Streamlined Evaluation Code**: Reduce the amount of custom code you need to write for evaluation.

## Installation

To install `indomee`, simply use pip:

```bash
pip install indomee
```
